org.apache.flume.node

## Interface MaterializedConfiguration

- All Known Implementing Classes:
    SimpleMaterializedConfiguration

      public interface MaterializedConfiguration

  MaterializedConfiguration represents the materialization of a Flume properties file. That is it's the actual Source, Sink, and Channels represented in the configuration file.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addChannel(String name, Channel channel)`
    `void` | `addSinkRunner(String name, SinkRunner sinkRunner)`
    `void` | `addSourceRunner(String name, SourceRunner sourceRunner)`
    `com.google.common.collect.ImmutableMap<String,Channel>` | `getChannels()`
    `com.google.common.collect.ImmutableMap<String,SinkRunner>` | `getSinkRunners()`
    `com.google.common.collect.ImmutableMap<String,SourceRunner>` | `getSourceRunners()`

- - ### Method Detail

    - #### addSourceRunner

          void addSourceRunner(String name,
                             SourceRunner sourceRunner)

    - #### addSinkRunner

          void addSinkRunner(String name,
                           SinkRunner sinkRunner)

    - #### addChannel

          void addChannel(String name,
                        Channel channel)

    - #### getSourceRunners

          com.google.common.collect.ImmutableMap<String,SourceRunner> getSourceRunners()

    - #### getSinkRunners

          com.google.common.collect.ImmutableMap<String,SinkRunner> getSinkRunners()

    - #### getChannels

          com.google.common.collect.ImmutableMap<String,Channel> getChannels()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.